This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 997204 - ps -eo unit doesn't work
ps -eo unit doesn't work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: procps-ng (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
: 1004465 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 19:37 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2016-01-31 20:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 07:19:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-08-14 19:37:26 EDT
Description of problem:
ps(1) mentions "unit" field, but it doesn't seem to work.

$ ps -eo pid,user,args,unit
error: unknown user-defined format specifier "unit"

Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/ps
procps-ng-3.3.8-8.fc19.x86_64
Comment 1 Jaromír Cápík 2013-08-21 13:57:48 EDT
Hello Zbigniew.

The feature is pretty recent and unfortunately I forgot to enable the systemd support in the F19 zero day update. As introducing new features in stable Fedora releases kind of breaks our policy, it's probably too late for introducing this in Fedora 19, but you can install the latest F20 package (procps-ng-3.3.8-16.fc20) where the systemd support is enabled.

Please, let me know if you're ok with this approach.

Thanks in advance.

Regards,
Jaromir.
Comment 2 Jaromír Cápík 2013-08-21 14:05:23 EDT
(In reply to Jaromír Cápík from comment #1)
>  but you can install the latest F20 package
> (procps-ng-3.3.8-16.fc20) where the systemd support is enabled.

Sorry, typo in the previous comment ... 

procps-ng-3.3.8-13.fc20
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-08-21 17:50:53 EDT
Hi Jaromír,

I can install procps from rawhide without problem, and I can confirm that it works fine.

Regarding F19, I think that since this feature has been advertised (I read about on the net somewhere, that's why I tried to use it), and it's documented, it'll be confusing for people. Personally I'd treat this a bug fixable in released version, since it's unlikely to break things.
Comment 4 Jaromír Cápík 2013-08-26 11:23:52 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> I can install procps from rawhide without problem, and I can confirm that it
> works fine.

Good.


> Regarding F19, I think that since this feature has been advertised (I read
> about on the net somewhere, that's why I tried to use it),

Could you please find the article?


> and it's documented, it'll be confusing for people.

All optional features are documented. Maybe we should state, they're optional, somewhere in the manual. That could help users to avoid confusions.


> Personally I'd treat this a bug
> fixable in released version, since it's unlikely to break things.

Introducing a new library is always risky. Especially when we're talking about critical path components.

Please, let me know.

Thank you,
Jaromir.
Comment 5 Zbigniew Jędrzejewski-Szmek 2013-08-26 12:28:54 EDT
(In reply to Jaromír Cápík from comment #4)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> > I can install procps from rawhide without problem, and I can confirm that it
> > works fine.
> 
> Good.
> 
> 
> > Regarding F19, I think that since this feature has been advertised (I read
> > about on the net somewhere, that's why I tried to use it),
> 
> Could you please find the article?
Sorry, it's been a while, I totally forgot where I saw it. Could even have been on IRC.

> > and it's documented, it'll be confusing for people.
> 
> All optional features are documented. Maybe we should state, they're
> optional, somewhere in the manual. That could help users to avoid confusions.
> 
> > Personally I'd treat this a bug
> > fixable in released version, since it's unlikely to break things.
> 
> Introducing a new library is always risky. Especially when we're talking
> about critical path components.
> 
> Please, let me know.
Sorry, can't provide any useful information.
Comment 6 Jaromír Cápík 2013-08-27 07:19:11 EDT
Hello Zbigniew.

I can't find any references to such advertisement and even my colleagues are unsure. Hopefully you won't feel offended by my decision to keep the feature disabled in F19.

Thanks for understanding.

Regards,
Jaromir.
Comment 7 Jaromír Cápík 2013-09-04 14:02:56 EDT
*** Bug 1004465 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.